#ifndef PROGRESSBAR_H
#define PROGRESSBAR_H

#include <QWidget>

class ProgressBar : public QWidget
{
    Q_OBJECT
public:
    explicit ProgressBar(QWidget *parent = nullptr);

    void moveEvent(QMoveEvent *) override;

    void resizeEvent(QResizeEvent *) override;

    void paintEvent(QPaintEvent *pe) override;

    void setProgress(double progress);

    double getProgress() const;

signals:

private:
    double _progress;
};

#endif // PROGRESSBAR_H
