#ifndef TRANSLATIONCOMPONENTS_H
#define TRANSLATIONCOMPONENTS_H

#include <QWidget>

namespace Ui {
class TranslationComponents;
}


class TranslationComponents : public QWidget
{
    Q_OBJECT

public:
    explicit TranslationComponents(QWidget *parent = nullptr);
    ~TranslationComponents();

signals:
    void needToPatch();
    void noNeedToPatch();

public slots:
    void resetSwitchesToDefault();

private slots:
    void disableControls();
    void enableControls();
    void checkIfSettingsDoNotMatchCurrentDatState();

    void onTextsChange(bool new_value);
    void onImagesChange(bool new_value);
    void onVideosChange(bool new_value);
    void onSoundsChange(bool new_value);
    void onLoadscreensChange(bool new_value);

private:
    Ui::TranslationComponents *ui;
};

#endif // TRANSLATIONCOMPONENTS_H
