#ifndef LOTRO_DAT_JPGSUBFILE_H
#define LOTRO_DAT_JPGSUBFILE_H

#include "subfile.h"

namespace LOTRO_DAT {
namespace Subfiles {

template<> class Subfile<JPG> {
  public:
    static BinaryData BuildForImport(const BinaryData& old_data, const SubfileData& outer_data);

    static SubfileData BuildForExport(const BinaryData& inner_data);
};

}; // namespace Subfiles
}; // namespace LOTRO_DAT

#endif //LOTRO_DAT_JPGSUBFILE_H
