#ifndef GAMESETTINGS_H
#define GAMESETTINGS_H

#include <QWidget>

namespace Ui {
class GameSettings;
}

class GameSettings : public QWidget
{
    Q_OBJECT

public:
    explicit GameSettings(QWidget *parent = nullptr);
    ~GameSettings();

public slots:
    void setActualParametersValues();

private slots:
    void on_change_folder_button_clicked();

    void on_lotro_base_language_combobox_currentIndexChanged(int index);

    void onPatchTotalOperationsStarted();

    void onPatchTotalOperationsFinished();

private:
    Ui::GameSettings *ui;
};

#endif // GAMESETTINGS_H
